-- Moose Airboss (Carrier)
env.info("STNE: Airboss start")

-- Unit names in mission editor
local name_helo = "Rescue"
local name_tanker = "Texaco"
--local name_awacs = "Overlord"
local name_stennis = "Stennis"
local name_stennis_marshal = "Stennis_Marshal"
local name_stennis_lso = "Stennis_LSO"
local name_helo_homebase = "Stennis"			-- or "Ticonderoga"

-- Rescue helo
stne_rescue = RESCUEHELO:New(UNIT:FindByName(name_stennis), name_helo)
stne_rescue:SetHomeBase(name_helo_homebase)
stne_rescue:SetTakeoffCold()

-- Tanker
stne_tanker = RECOVERYTANKER:New(UNIT:FindByName(name_stennis), name_tanker)
stne_tanker:SetRadio(288)
stne_tanker:SetTACAN(101, "TXC")
stne_tanker:SetTakeoffCold()

-- AWACS
--stne_awacs = RECOVERYTANKER:New(UNIT:FindByName(name_stennis), name_awacs)
--stne_awacs:SetAWACS()
--stne_awacs:SetAltitude(20000)
--stne_awacs:SetRadio(299)
--stne_awacs:SetTACANoff()
--stne_awacs:SetTakeoffCold() 

-- Airboss Stennis
local stne_airboss = AIRBOSS:New(name_stennis)
stne_airboss:SetMenuSingleCarrier()
stne_airboss:AddRecoveryWindow("06:35", "07:30", 1, 0, true, 25, false)
stne_airboss:AddRecoveryWindow("07:40", "08:30", 1, 0, true, 25, false)
stne_airboss:AddRecoveryWindow("08:40", "09:30", 1, 0, true, 25, false)
stne_airboss:AddRecoveryWindow("09:40", "10:30", 1, 0, true, 25, false)
stne_airboss:AddRecoveryWindow("10:40", "11:30", 1, 0, true, 25, false)
stne_airboss:AddRecoveryWindow("11:40", "12:30", 1, 0, true, 25, false)
--stne_airboss:SetMenuRecovery(30, 25, false, 0)			-- Add Skipper menu to start recovery via F10 radio menu.
stne_airboss:SetPatrolAdInfinitum(true)					-- Repeat route after last waypoint
--stne_airboss:SetDespawnOnEngineShutdown()				-- Remove AI planes from deck
stne_airboss:SetLSORadio(305, "AM")						-- Default 264
stne_airboss:SetMarshalRadio(264, "AM")					-- Default 305
stne_airboss:SetTACAN(107, "X", "STN")
stne_airboss:SetICLS(7, "STN")
stne_airboss:SetAirbossNiceGuy(false)
stne_airboss:SetDefaultPlayerSkill("TOPGUN Graduate")
stne_airboss:SetSoundfilesFolder("Airboss Soundfiles/")
stne_airboss:SetRecoveryTanker(stne_tanker)
stne_airboss:SetRadioRelayLSO(name_stennis_lso)			-- Radio relay units
stne_airboss:SetRadioRelayMarshal(name_stennis_marshal)
stne_airboss:SetStaticWeather(false)
stne_airboss:SetWelcomePlayers(false)
stne_airboss:Start()

-- Spawn support aircraft after recovery start event
function stne_airboss:OnAfterRecoveryStart(From, Event, To, Case, Offset)
	stne_rescue:Start()
--	stne_awacs:Start()
	stne_tanker:Start()
end

env.info("STNE: Airboss stop")
trigger.action.outText("-  Airboss GO", 10)